Ankündigung

Einklappen
Keine Ankündigung bisher.

- √ - Raspberry mit ROT läuft nicht

Einklappen
X
 
  • Filter
  • Zeit
  • Anzeigen
Alles löschen
neue Beiträge

    #46
    Hallo,

    nur um sicher zu gehen: https://IP_vom_Pi:8080 habt Ihr natürlich schon mit angepasst damit die IP des Pi verwendet wird?

    also https://192.168.5.5:8080

    Wenn das nicht klappt, habt ihr was bei dem Image kaputt gemacht oder die falsche IP verwendet. => Image neu aufspielen / IP checken.

    Bis bald

    Marcus

    Kommentar


      #47
      Zitat von mknx Beitrag anzeigen
      Hallo,

      nur um sicher zu gehen: https://IP_vom_Pi:8080 habt Ihr natürlich schon mit angepasst damit die IP des Pi verwendet wird?

      also https://192.168.5.5:8080

      Wenn das nicht klappt, habt ihr was bei dem Image kaputt gemacht oder die falsche IP verwendet. => Image neu aufspielen / IP checken.

      Bis bald

      Marcus
      natürlich. in meinem fall 192.168.0.22:8080
      im gegenzug klappt aber 192.168.0.22/smartvisu
      somit ist die IP definitiv korrekt.
      Ich hab das Image auf die SD, rein ins Raspi. warte bis alles ferig ist und teste sofort. was kann man da kaputt machen?

      Kommentar


        #48
        dann klappt auch https://192.168.0.22:8080

        Kommentar


          #49
          Zitat von mknx Beitrag anzeigen
          dann klappt auch https://192.168.0.22:8080
          Wahnsinn. es klappt tatsächlich. mit einem Buchstaben auf dem Weg zum Erfolg. ;-)

          Kommentar


            #50
            Ein verständnisfrage hätte ich allerdings noch.
            Wenn ich via DynDns von aussen auf die visu zugreife und auf der Config seite z.b. die Pages umschalte und auf save klicke bekomme ich einen Error. Siehe Anhang. hat das mit der IP unter adress zu tun? müsste ich diese auf meine URL ändern?

            Was genau ist die I/O connection eigentlich?
            Angehängte Dateien

            Kommentar


              #51
              Wenn du mittels dyndns zugreifst muss auch die Adresse des Treibers auf die dyndns Adresse umgestellt werden.

              Und hier die alte Leier: direktes Portforwarding ist gefährlich... lieber ein VPN nutzen, dann hast du auch das Problem mit der Adresse beim Treiber nicht.
              Mit freundlichen Grüßen
              Niko Will

              Logiken und Schnittstelle zu anderen Systemen: smarthome.py - Visualisierung: smartVISU
              - Gira TS3 - iPhone & iPad - Mobotix T24 - ekey - Denon 2313 - Russound C5 (RIO over TCP Plugin) -

              Kommentar


                #52
                Geht teilweise nicht.

                Hallo,
                auch ich habe ein paar Startschwierigkeiten mit dem smarthome.pi und der ROT Extension.
                Setup:
                2 Linien (1.0 und 1.1) via Linienkoppler verbunden.
                smarthome.pi mit Rot Extension hängt in der ersten Linie neben einem Eibport (den habe ich zur Fehleranalysezwecken derzeit jedoch von IP und KNX abgeklemmt)
                Was geht:
                Das "KNX-Licht" leuchtet
                Groupswrite, smarthome.py, smartvisu mit ersten Test-Aktionen funktionieren
                ETS Gruppen Monitor

                Was geht nicht?:
                Jeder Versuch der Programmierung via ETS4 wird mit der Fehlermeldung
                "Die Schnittstelle konnte nicht geöffnet werden. Es steht keine Verbindung zur Verfügung." Abgebrochen.

                Was habe ich bereits versucht?:
                - Verbindungen in der ETS gelöscht und neu (ohne NAT) angelegt.
                - An der /etc/default/eibd und /etc/init/eibd rumgedocktert (entspr. diverse Freds hier)
                - Das Gerät an den Busanschluss vom Eibport gehängt um Kabelprobleme auszuschließen
                - Gerade eben noch einmal das Image frisch aufgespielt und nichts verändert. Fehlerbild ist aber nach wie vor das gleiche.

                Was fällt mir auf?:
                Wenn ich über den ETS Gruppenmonitor einen Befehl absetze. Also z.B. 1/1/125 an dann schaltet zwar der Aktor, aber ich sehe auch dass zwei Telegramme durch den Bus gehen. Einmal mit Quelladresse 0.0.0 und einmal mit 0.0.1. Einziger (für mich sichtbarer) Unterschied zwischen diesen beiden Telegrammen ist der Rout Count der im Fall 0.0.0 auf 5 und im Fall 0.0.1 auf 4 steht. Keine Ahnung ob das mit den 2 Telegrammen so OK ist, aber mich wundert es eben.

                Warum die Frage überhaupt (es gibt doch einen eibport)?:
                Wenn ich eine Ablösung in EIBPort durch smarrthome.pi andenken will, dann brauche ich die Programmierfähigkeit (derzeit noch) vorrangig. Und aktuell mach ich da über den Eibport)

                Irgendjemand eine Idee wie ich dem EIBD doch noch die Programmierfähigkeit über ETS beibringen kann?

                Danke vorab für einen Geistesblitz

                Sven

                Kommentar


                  #53
                  Hallo Sven,
                  sieht seltsam aus.
                  Wenn ich dich richtig verstehe, klappt die Kommunikation zwischen ETS und KNX via SH.py prinzipiell, d.h. du kannst lessen und schreiben.

                  Zitat von valleyman Beitrag anzeigen
                  Was fällt mir auf?:
                  Wenn ich über den ETS Gruppenmonitor einen Befehl absetze. Also z.B. 1/1/125 an dann schaltet zwar der Aktor, aber ich sehe auch dass zwei Telegramme durch den Bus gehen. Einmal mit Quelladresse 0.0.0 und einmal mit 0.0.1. Einziger (für mich sichtbarer) Unterschied zwischen diesen beiden Telegrammen ist der Rout Count der im Fall 0.0.0 auf 5 und im Fall 0.0.1 auf 4 steht. Keine Ahnung ob das mit den 2 Telegrammen so OK ist, aber mich wundert es eben.
                  Bei mir habe ich auch 2 Telegramme (ebenfalls mit Rout count 5 bzw. 4), allerdings 0.0.0 und 1.1.101, wobei die 2. Adresse die in der /etc/default/eibd eingestellte Adresse ist (EIB_ADDR="1.1.101"). verwundert mich zwar auch, hätte eigentlich erwartet, dass immer diese genutzt, wird, aber in der Kommunikationseinstellung des ETS zeigt er mir für den eibd immer 0.0.0 an (und läßt sich auch nicht ändern, bei Versuch Fehlermeldung), was ich für einen bug halte, aber jabe ich auch nie hinterfragt.). Würde hier mal eine Adresse in deiner Linie eingeben.

                  Ist das verhalten das gleiche für Geräte in beiden Linien?

                  Hast du mal versucht, aus der ETS ein Gerät auszulesen? selber Fehler?

                  hast du irgendwo im Raspi die eibd Einstellungen verändert?
                  Gruß
                  Georg

                  Kommentar


                    #54
                    Auch nach ETS Neuinstallation keine Änderung

                    Hallo gekraft,

                    danke für die Bestätigung mit den zwei Telegrammen (Bild2) und der Fehlermeldung beim Versuch die Adresse zu ändern. Dachte das liegt an meiner Installation und hatte eine VM neu aufgesetzt und ETS4 neu installiert (in der Hoffnung es liegt an einer vergrüzten Installation). Kann jetzt aber leider von keiner Veränderung berichten.

                    Zu den Fragen:
                    Auslesen (ist Info ==> Geräteinfo, oder?) und Geräte der zweiten Linie zu programmieren habe ich gerade probiert, geht auch nicht. Fehler ist der gleiche. (siehe Bild1).
                    Wobei der Raspi immer in der 1. Linie hängt. (Will jetzt eigentlich nicht den halben Schrank zerlegen um an die zweite Linie zu kommen)
                    Was mir im Rahmen der Versuche jedoch noch aufgefallen ist:
                    Gruppenmonitor läuft und zeigt auch (geringen) Telegrammverkehr.
                    Wenn ich die Programmierung anstoße dann bleibt der Gruppenmonitor stehen und zeigt solange keine Telegramme mehr bis ich einen "normalen" Befehl über den Gruppenmonitor absetze. Dann erste sehe ich wieder Telegramme. Fast so als würde sich etwas "aufhängen" was sich erst mit dem Schreibbefehl wieder "einbekommt".

                    Geändert habe ich nur die Adresse in der
                    /etc/default/eibd.
                    In meinem Fall auf die 1.0.3
                    Angehängte Dateien

                    Kommentar


                      #55
                      Poste doch mal deine /etc/default/eibd und die ./init/eibd
                      M. E. Ist das ein reines eibd Problem
                      Gruß
                      Georg

                      Kommentar


                        #56
                        Here we go

                        Danke schon mal vorab fürs fürs checken:

                        /etc/default/eibd
                        Code:
                        EIB_ARGS="--daemon --Server --Tunnelling --Discovery --GroupCache --listen-tcp"
                        EIB_ADDR="1.0.3"
                        EIB_IF="tpuarts:/dev/ttyAMA0"
                        /etc/init.d/eibd:
                        Code:
                        #!/bin/sh
                        ### BEGIN INIT INFO
                        # Provides:          eibd
                        # Required-Start:    $syslog $network
                        # Required-Stop:     $syslog $network
                        # Default-Start:     2 3 4 5
                        # Default-Stop:      0 1 6
                        # Short-Description: Start the eib daemon.
                        ### END INIT INFO
                        
                        DESC="EIB daemon"
                        NAME=eibd
                        EIB_ARGS="--daemon --Server --Tunnelling --Discovery --GroupCache --listen-tcp"
                        EIB_ADDR="0.0.1"
                        EIB_IF="tpuarts:/dev/ttyAMA0"
                        EIB_UID="admin"
                        
                        PATH=/sbin:/usr/sbin:/bin:/usr/bin:/usr/local/bin
                        DAEMON=/usr/bin/$NAME
                        PIDFILE=/var/run/$NAME.pid
                        SCRIPTNAME=/etc/init.d/$NAME
                        
                        [ -x "$DAEMON" ] || exit 0
                        
                        [ -r /etc/default/$NAME ] && . /etc/default/$NAME
                        
                        DAEMON_ARGS="$EIB_ARGS --pid-file=$PIDFILE --eibaddr=$EIB_ADDR $EIB_IF"
                        
                        do_start()
                        {
                            touch $PIDFILE
                            chown $EIB_UID $PIDFILE
                            start-stop-daemon --start --quiet --chuid $EIB_UID --pidfile $PIDFILE --exec $DAEMON --test > /dev/null || return 1
                            start-stop-daemon --start --quiet --chuid $EIB_UID --pidfile $PIDFILE --exec $DAEMON -- $DAEMON_ARGS || return 2
                        }
                        
                        do_stop()
                        {
                            start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile $PIDFILE --name $NAME
                            RETVAL="$?"
                            [ "$RETVAL" = 2 ] && return 2
                            start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --exec $DAEMON
                            [ "$?" = 2 ] && return 2
                            rm -f $PIDFILE 2> /dev/null
                            return "$RETVAL"
                        }
                        
                        do_reload() {
                            start-stop-daemon --stop --signal 1 --quiet --pidfile $PIDFILE --name $NAME
                            return 0
                        }
                        
                        case "$1" in
                            start)
                                do_start
                                ;;
                            stop)
                                do_stop
                                ;;
                            #reload|force-reload)
                                #echo "Reloading $DESC" "$NAME"
                                #do_reload
                                #log_end_msg $?
                                #;;
                            restart)
                                #
                                # If the "reload" option is implemented then remove the
                                # 'force-reload' alias
                                #
                                echo "Restarting $DESC" "$NAME"
                                do_stop
                                sleep 1
                                do_start
                                ;;
                            *)
                                echo "Usage: $SCRIPTNAME {start|stop|restart}" >&2
                                exit 3
                                ;;
                        esac
                        
                        exit 0

                        Kommentar


                          #57
                          Seltsam, sieht gut aus.
                          kannst Du mal einen screenshot aus der ETS Kommunikationseinstellung machen? Test läuft dort wahrscheinlich ok=?
                          in der ETS Doku gibt es einen Absatz:
                          · Nur bei IP - Verbindungen (IP tunneling / IP Schnittstellenverbindung);

                          Hast Du da mal reingesehen? Kenne mich nicht wirklich mit aus, da ich immer nur eine Linie verwende, aber vielleicht ist ja da ein Geistesblitz versteckt:
                          Um Topologie-Verstöße zu vermeiden (IP Router dienen normalerweise als Koppler, sind daher per Definition jeweils mit einer eindeutigen - anderen - TP Linie verbunden)

                          Als Konsequenz ergibt sich, dass für jede Linie eine individuelle "Programmier-Verbindung" definiert werden muss. Diese Einstellungen können Sie in den Eigenschaften der Linien vornehmen.
                          Gruß
                          Georg

                          Kommentar


                            #58
                            Evtl. mal mit "--tpuarts-disch-reset" und "--tpuarts-ack-all-group" probieren.
                            Umgezogen? Ja! ... Fertig? Nein!
                            Baustelle 2.0 !

                            Kommentar


                              #59
                              aufgegeben

                              @gekraft: Screenshot habe ich leider keinen, und kann jetzt auch kurzfristig keinen mehr machen (siehe unten). Aber ja, die Meldung beim Schnittstellentest war "OK".
                              @JuMi2006: Kann ich jetzt leider nicht mehr probieren. Rückbau ist schon erfolgt.

                              @all danke für die Hilfen, aber ich habe jetzt aufgegeben und das Board rückgebaut. Im Moment habe ich noch tausend andere Baustellen (nein, nicht nur bei der Hausautomation sondern auch an allen anderen Ecken) und da war mir die ganze ROT-Sache doch zu zeitaufwändig. Muss mich ja auch noch mit items, logiken und pages auseinandersetzen. smarthome läuft jetzt über den Eibport tunnel und gut (einzig bei Programmieren muss ich den eibd kurz beenden da der Tunnel keine 2 Verbindungen gleichzeitig hergibt)

                              Vielen Dank allen für die Unterstützung. I

                              Kommentar

                              Lädt...
                              X